# Enum webdriver.promise.ControlFlow.EventType

code »

Type: `string`

Events that may be emitted by an `webdriver.promise.ControlFlow`.

## Values and Descriptions

IDLE
  Emitted when all tasks have been successfully executed.
SCHEDULE_TASK
  Emitted whenever a new task has been scheduled.
UNCAUGHT_EXCEPTION
  Emitted whenever a control flow aborts due to an unhandled promise rejection. This event will be emitted along with the offending rejection reason. Upon emitting this event, the control flow will empty its task queue and revert to its initial state.

Show:PublicProtectedPrivate